#!/usr/bin/env python3
import requests
import json

# URL der JSON-Datei
url = "https://cfp.ctbk.de/fsck-2025/schedule/export/schedule.json"

# Herunterladen der JSON-Datei
response = requests.get(url)
if response.status_code == 200:
    data = response.json()

    # Ändern der JSON-Daten
    for day in data["schedule"]["conference"]["days"]:
        for room, talks in day['rooms'].items():
            for talk in talks:
                if 'do_not_record' in talk and talk['do_not_record'] is False:
                    if 'recording_license' in talk and talk['recording_license'] == "":
                        talk['recording_license'] = "CC-BY-4.0"

    # Speichern der geänderten JSON-Datei
    with open("static/schedule.json", "w") as f:
        json.dump(data, f, indent=4)

    print("Die JSON-Datei wurde erfolgreich heruntergeladen und modifiziert.")
else:
    print("Fehler beim Herunterladen der JSON-Datei.")
